net.minecraftforge.client.event

## Class RenderWorldEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.RenderWorldEvent

- Direct Known Subclasses:
    RenderWorldEvent.Post, RenderWorldEvent.Pre

      public abstract class RenderWorldEvent
      extends Event

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RenderWorldEvent.Post` Fired after the tessellator is stopped, before the display list is ended.
    `static class` | `RenderWorldEvent.Pre` Fired when 16x16x16 chunk area is being redrawn.

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ChunkCache` | `chunkCache`
    `int` | `pass`
    `RenderBlocks` | `renderBlocks`
    `WorldRenderer` | `renderer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderWorldEvent(WorldRenderer renderer, ChunkCache chunkCache, RenderBlocks renderBlocks, int pass)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### renderer

          public final WorldRenderer renderer

    - #### chunkCache

          public final ChunkCache chunkCache

    - #### renderBlocks

          public final RenderBlocks renderBlocks

    - #### pass

          public final int pass

  - ### Constructor Detail

    - #### RenderWorldEvent

          public RenderWorldEvent(WorldRenderer renderer,
                          ChunkCache chunkCache,
                          RenderBlocks renderBlocks,
                          int pass)